asterisk
Vasaris 5, 2008

Ate Ate PHP4!

Šiandien TA diena. 2008 m. vasario 5 d. 7 metus trukęs PHP4 vystymas šiandien yra oficialiai stabdomas.
PHP5 gyvuoja jau 3 metus, tačiau daug programuotojų vis dar turi pritaikyti sistemas PHP4. Kodėl?
Tai lyg užburtas ratas. Serverių administratoriai negali atnaujinti į 5 versiją, nes kai kurie klientai naudoja programinę įrangą pritaikytą PHP4. Klientai, norintys atsinaujinti į PHP5 negali, nes serveryje naudojama PHP4.
Lietuvoje dauguma talpinimo kompanijų jau perėjo prie PHP5 arba suteikia tokią galimybę klientui (pasirinkti serverį su norima programine įranga).
Nuo šiandien PHP4 nebesulauks naujų funkcijų. Tam tikrą laiką bus daromi pažeidžiamumų pataisymai, tačiau ir tai bus nutraukta. Pats metas pereiti prie PHP5. Rekomenduojama naudoti ne senesnę versiją nei 5.2.0.
Kam mums PHP5? Toks klausimas neturėtų kilti, kiek galima gyventi be OOP? Beje, ne už kalnų jau ir PHP6 žiburiai šviečiasi.

Plačiau apie projektą, organizuojantį perėjimą prie PHP5 - goPHP5.org.

Taigi, ate PHP4. Labas PHP5!

Panašūs straipsniai


“Ate Ate PHP4!” komentarų: 5

  1. Blogorama #329 : nežinau.lt

    […] kad „swejki“ reikia keisti į žolę - nepagalvokite. • Pixel daug džiaugsmo sukėlė PHP 4 versijos tobulinimo pabaiga. Ji buvo prievartinė, nes kūrėjai labai nervinosi, kad niekas nenaudoja PHP 5. Šiaip, žinoma, […]

  2. fosron

    nerealu :) visalaik buvau už php5, gaila kad dėl php4 nukentėjo daug įvairių projektų :/

  3. Dominykas

    Einu švęst :)

    Tiesa ta šventė tai panašiai kaip antro pasaulinio karo pabaiga, kuri kai kam reiškė 50 metų okupaciją…

  4. noTime

    Ate, PHP4, nepasiilgsiu… :)

  5. Vidmantas

    Laikas, senokai laikas :-)

Rašyti komentarą

Jūs privalote prisijungti jeigu norite rašyti komentarą.